Last Comment Bug 653644 - assert that CommonElementAnimationData are destroyed as expected
: assert that CommonElementAnimationData are destroyed as expected
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: mozilla5
Assigned To: David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 20:17 PDT by David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
Modified: 2011-05-04 14:26 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
unaffected
unaffected


Attachments
patch (3.19 KB, patch)
2011-04-28 20:17 PDT, David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
bzbarsky: review+
jpr: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2011-04-28 20:17:33 PDT
Created attachment 529027 [details] [diff] [review]
patch

One issue that came up in today's security review of css3-animations was that CommonElementAnimationData should assert that it is destroyed as expected rather than via a direct call to its delete method.
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2011-04-29 21:48:49 PDT
Comment on attachment 529027 [details] [diff] [review]
patch

r=me
Comment 2 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2011-04-30 15:33:16 PDT
https://hg.mozilla.org/mozilla-central/rev/509e62175dbf
Comment 3 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2011-04-30 15:37:10 PDT
Comment on attachment 529027 [details] [diff] [review]
patch

DEBUG-only code which would be nice to land on aurora (along with animations) so tests have a better chance of catching anything that goes wrong
Comment 4 JP Rosevear [:jpr] 2011-05-04 12:14:57 PDT
Comment on attachment 529027 [details] [diff] [review]
patch

Debug only for new feature is fine.
Comment 5 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2011-05-04 14:26:02 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/0c533a76dc5a

Note You need to log in before you can comment on or make changes to this bug.